Cyberduck Mountain Duck CLI

#6852 closed defect (wontfix)

No symbolic links are shown in browser

Reported by: nikka Owned by: dkocher
Priority: low Milestone:
Component: webdav Version: 4.2.1
Severity: normal Keywords: symbolic links, WebDAV
Cc: Architecture: Intel
Platform: Mac OS X 10.8

Description

Trying to access my iPhone's core files through WebDAV/Bonjour under the path "/var" I failed with cyberduck. The problem is, that symbolic links are not shown under WebDAV, as it was the problem with sFTP before (ticket #5141). I was using iFile for iPhone (via cydia) to build a bonjour webserver.

This first screencap shows how it should be shown using a browser to access the iPhone's filesystem. The second shows how I end up using cybderduck.

I am running on Mac OS 10.8.1 with latest Cyberduck 4.2.1

Attachments (2)

WebDAV on Firefox.png (67.4 KB) - added by nikka on Sep 10, 2012 at 9:22:32 AM.
WebDAV iPhone on Firefox
WebDAV on Cyberduck.png (100.0 KB) - added by nikka on Sep 10, 2012 at 9:22:54 AM.
WebDAV iPhone on Cyberduck

Download all attachments as: .zip

Change History (6)

Changed on Sep 10, 2012 at 9:22:32 AM by nikka

WebDAV iPhone on Firefox

Changed on Sep 10, 2012 at 9:22:54 AM by nikka

WebDAV iPhone on Cyberduck

comment:1 Changed on Sep 26, 2012 at 3:32:37 PM by dkocher

  • Component changed from core to webdav
  • Owner set to dkocher
  • Summary changed from No symbolic links are shown on WebDAV to No symbolic links are shown in browser

comment:2 Changed on Oct 10, 2012 at 2:19:02 PM by dkocher

  • Priority changed from normal to low

comment:3 Changed on Dec 20, 2012 at 6:03:35 PM by dkocher

  • Resolution set to wontfix
  • Status changed from new to closed

Symbolic links are not defined in RFC 2518 and therefore not supported for WebDAV. See also http://www.webdav.org/mod_dav/faq/#04-02.

comment:4 Changed on Jan 29, 2013 at 2:26:08 PM by dkocher

#7077 closed as duplicate.

Note: See TracTickets for help on using tickets.
swiss made software